Package javax.validation.metadata

# Interface ParameterDescriptor

All Superinterfaces:
  `CascadableDescriptor`, `ElementDescriptor`

public interface ParameterDescriptor extends ElementDescriptor, CascadableDescriptor

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

`ElementDescriptor.ConstraintFinder`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`String`
`getName()`

### Methods inherited from interface javax.validation.metadata.CascadableDescriptor

`getGroupConversions, isCascaded`

### Methods inherited from interface javax.validation.metadata.ElementDescriptor

`findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

## Method Details

### getIndex

int getIndex()

### getName

String getName()